### Function

# EDataServer util_strstrcase

#### Declaration [src]

    gchar*
    e_util_strstrcase (
      const gchar* haystack,
      const gchar* needle
    )

#### Description [src]

Find the first instance of `needle` in `haystack`, ignoring case for bytes that are ASCII characters.

#### Parameters

`haystack`

  Type: `const gchar*`

  The string to search in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`needle`

  Type: `const gchar*`

  The string to search for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A pointer to the start of `needle` in `haystack`, or NULL if `needle` is not found.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.